Subject: Re: upload directory matcher

From: [email-masked] (Karl O. Pinc)
Date: Tue, 17 Dec 1996 00:56:35 -0600

>According to `Yacine Kheddache':
>> 
>> I create many guest group and I just want to know if it was
>> possible to use some matcher in the root directory of a upload
>> information.
>
>[deleted]
>
>> upload  /arch6a/home/ftp/home/*    /guest/exchange        no
>> upload  /arch6a/home/ftp/home/*    /guest/exchange/*      yes     root    ftponly   0550 dirs
>
>No this will not work, the matching(globing) is only done on 
>the second argument(dir-glob) of the `uplaod' directive, not
>on the root-dir.
>
>NOTE:
>And it me be a suprise for you, but for example for this
>line to work properly
>
>> upload  /arch6a/home/ftp/home/*    /guest/exchange        no
>          ^^^^^^^^^^^^^^^^^^^^^^^^
>the first argument(root-dir) __must__ match exactly the HOME field in
>the passwd file, if not so, then people will be able to upload
>even if you specified "no".
>
>> 
>> Any idea will be great appreciate.

I don't know if this is a good idea or not, but you _may_ be able to do what you want using the command line patch I recently posted to allow multiple configuration files.  (http://www.meme.com/soft)  You would use it with tcpwrappers and the ident protocol.  Tcpwrappers together with ident would determine the group and run ftpd with a different configuration file with different upload directives for each group.  See the tcpwrappers documentation to see how well you might be able to make this work.  You can find a tcpwrappers distribution point linked at the URL above.

Note that this is not particularly secure because ident is not particularly secure.

Karl                    e-mail: [email-masked], [email-masked]
----                public key: finger [email-masked]
Karl O. Pinc           e-tattoo: Ride hard and die free.